import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataNomadDeploymentsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/deployments#id DataNomadDeployments#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
}
/**
* Represents a {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/deployments nomad_deployments}
*/
export declare class DataNomadDeployments extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "nomad_deployments";
    /**
    * Create a new {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/deployments nomad_deployments} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataNomadDeploymentsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataNomadDeploymentsConfig);
    private _deployments;
    get deployments(): cdktf.StringMapList;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
