import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataNomadNamespaceConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/namespace#id DataNomadNamespace#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/namespace#name DataNomadNamespace#name}
    */
    readonly name: string;
}
export interface DataNomadNamespaceCapabilities {
}
export declare function dataNomadNamespaceCapabilitiesToTerraform(struct?: DataNomadNamespaceCapabilities): any;
export declare class DataNomadNamespaceCapabilitiesOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataNomadNamespaceCapabilities | undefined;
    set internalValue(value: DataNomadNamespaceCapabilities | undefined);
    get disabledTaskDrivers(): string[];
    get enabledTaskDrivers(): string[];
}
export declare class DataNomadNamespaceCapabilitiesList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataNomadNamespaceCapabilitiesOutputReference;
}
/**
* Represents a {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/namespace nomad_namespace}
*/
export declare class DataNomadNamespace extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "nomad_namespace";
    /**
    * Create a new {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/namespace nomad_namespace} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataNomadNamespaceConfig
    */
    constructor(scope: Construct, id: string, config: DataNomadNamespaceConfig);
    private _capabilities;
    get capabilities(): DataNomadNamespaceCapabilitiesList;
    get description(): string;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _meta;
    get meta(): cdktf.StringMap;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get quota(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
