import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataNomadRegionsConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/regions#id DataNomadRegions#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
}
/**
* Represents a {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/regions nomad_regions}
*/
export declare class DataNomadRegions extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "nomad_regions";
    /**
    * Create a new {@link https://registry.terraform.io/providers/hashicorp/nomad/1.4.19/docs/data-sources/regions nomad_regions} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataNomadRegionsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataNomadRegionsConfig);
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    get regions(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
